<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 16/7/2018
 * Time: 8:01 PM
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['nombre']) && isset($_REQUEST['id_contacto']) && isset($_REQUEST['descripcion']) && isset($_REQUEST['telefono']) && isset($_REQUEST['direccion'])) {
            $idcontacto = $_REQUEST['id_contacto'];
            $contacto = R::load('directoriocontacto', $idcontacto);
            $contacto->asunto = $_REQUEST['nombre'];
            $contacto->descripcion = $_REQUEST['descripcion'];
            $contacto->telefono = $_REQUEST['telefono'];
            $contacto->direccion = $_REQUEST['direccion'];
            if (isset($_REQUEST['imagen'])){
                $imagen = $_REQUEST['imagen'];
                $contacto->imagen = $ImageUploader->subirImagen($imagen);
            }
            $contacto->fechaModificacion = date('Y-m-d H:i:s');
            $contacto->estado = 1;
            $id = R::store($contacto);
            include '../comun/mensajeModificado.php';
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}